Subject: Re: WTitle mess
From: MACIEJ GORNY <[email-masked]>
To: [email-masked]
Date: Mon, 19 Sep 1994 15:50:40 EST

> Date sent:      Mon, 19 Sep 1994 11:49:33 +0100
> From:           [email-masked] (HANG-FIRE)
> To:             [email-masked], [email-masked]
> Subject:        Re: WTitle mess

> > I use ASLFileRequest to get a file, then I assign whatever it returns 
> > (a file with its path) to a string variable and try to use WTitle to 
> > change window's title to display that file:
> >      WTitle filepath$,"my screens name"
> > The screen's and window's titles get somehow screwd up after the next 
> > window event it would seem. It contains some random strings, from 
> > file requester, or etc...
> 
> I got window title cockups when using previous versions of the window library
> in Blitz.  My problems though have cleared up since I started using the
> newer versions.
> 
> What would cause mine to fuckup is something like:
> 
>         WTitle "Help me please","Steve's little prog..."
>         Execute_ "Time",0,0
> 
> This would cause the window title to change to "Time" - very dodgy indeed.
> 
> Wtitle most probably just stores the string you give and then calls the OS
> command SetWindowTitle.  You could try doing this yourself:
> 
>         mytitle$="Myname"
>         SetWindowTitle_ peek.l(addr window(0)),mytitle$,0
> 
>             (The 0 on the end means don't change the screen title
>              This stops the title being constantly redraw).
> 
> Do you subscribe to Blitzs bum magazine? If you do then you should get a version
> of the library off them that works properly.
> 
> 
> Hope this helps (in some little way ;-)),
> Steve Mc.
That is EXACTLY the kind of simptoms that I got. After using Asl 
requester wtitle would change the window's title to either 
requester's title, or some other random string that had nothing to do 
with that particular file request. Thanks for help Steve, I hope it 
works!..
maciej